Package ru.bitel.oss.kernel.directories.address.common.bean

# Class Street

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.CityItem
ru.bitel.oss.kernel.directories.address.common.bean.Street

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Street extends CityItem

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Street.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `cityId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Street()`
  `Street(City city, int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Street.Builder`
  `builder()`
  `static Street`
  `from(Street street)`
  `String`
  `getPostIndex()`
  `void`
  `setPostIndex(String postIndex)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `getCity, getCityId, setCity, setCityId`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, setTitlePrefix, setTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Street

    public Street()

  - ### Street

    public Street(City city, int id, String title)

- ## Method Details

  - ### getPostIndex

    public String getPostIndex()

  - ### setPostIndex

    public void setPostIndex(String postIndex)

  - ### from

    public static Street from(Street street)

  - ### builder

    public static Street.Builder builder()